package m05bBancoEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05BancoEB</tt>.
 *
 * @see     m05.exe.Banco 
 * @see     m05.exe.M05BancoEB
 * @see     m05.exe.M05BancoEBHome
 * @see     m05.exe.M05BancoEBBean 
 * @author <a href="mailto:paco.gomez@terra.com">Paco Gomez</a>.
 *         Professional J2EE Programming with BEA WebLogic Server, 
 *         by Gomez & Zadrozny, Copyright &#169; 2000. 
 */
public class m05BancoPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the banco codigo, which is the primary key 
   * in table <tt>m0503t00_bancos</tt>.
   */
  public String ban_cuenta;
  
  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean   
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05BancoPK) {
      m05BancoPK otherKey = (m05BancoPK) obj;
      return ((this.ban_cuenta == otherKey.ban_cuenta));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.ban_cuenta.hashCode();
  }    
  
}
